
CoCoALib - Bug #119

CoCoA4io

03 Apr 2012 17:30 - John Abbott

Status: Closed Start date: 03 Apr 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 5.00 hours

Target version: CoCoALib-0.9953 Spent time: 2.25 hours

Description

The file CoCoA4io should not be inside CoCoALib -- it belongs in CoCoAServer.

Move it... will lead to some consequential changes.

History

#1 - 20 Oct 2012 11:16 - John Abbott

- Category set to Tidying

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 10

- Estimated time changed from 4.00 h to 5.00 h

All files which exist just for the CoCoAServer should be in the src/server/ directory (rather than src/AlgebraicCore/ where several of them currently

are).  The files concerned are: CoCoA4io, RegisterServerOps, RegisterServerOpsFrobby, RegisterServerOpsUser, ServerOp

I notice that there is no file RegisterServerOpsNormaliz.

The header files should be moved too: CoCoA4io.H, ServerOp.H

There do not appear to be header files for Register*

The Makefiles will have to be modified too, of course

#2 - 27 Mar 2013 20:02 - John Abbott

This is a silly mindless task, but it needs to be done (and the sooner the better).

#3 - 25 May 2013 10:22 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 90

I have moved the files, and modified the Makefiles.

All appears to be fine.

Not yet checked in (either on Monday, or if I try using VPN).

#4 - 29 May 2013 11:36 - John Abbott

- Status changed from Resolved to Closed
- % Done changed from 90 to 100

Since this change entailed just moving some files (& some minor changes to a Makefile here and there), I am letting myself close it after just a few

days' verification.
